import { defineComponent } from 'vue';
import styles from './index.module.less';
import { NButton, NDatePicker, NEmpty, NScrollbar, NSpace } from 'naive-ui';

export default defineComponent({
  name: 'train-settings',
  emits: ['close'],
  setup(props, { emit }) {
    return () => (
      <div class={styles.trainSettings}>
        <div class={styles.searchGroup}>
          <NButton>添加训练</NButton>

          <div class={styles.datetime}>
            <label>截止时间：</label>
            <NDatePicker
              style={{ width: '200px' }}
              value-format="yyyy-MM-dd"
              type="date"
              clearable
              placeholder="请选择截止日期"
            />
          </div>
        </div>
        <NScrollbar class={styles.trainList}>
          <NEmpty description="暂无训练" />
        </NScrollbar>
        <NSpace class={styles.trainBtnGroup}>
          <NButton type="default" round onClick={() => emit('close')}>
            取消布置
          </NButton>
          <NButton type="primary" round>
            立即布置
          </NButton>
        </NSpace>
      </div>
    );
  }
});
